%global pypi_name alabaster
%global srcname sphinx-theme-%{pypi_name}

Name:           python-%{srcname}
Version:        1.0.0
Release:        %mkrel 1
Summary:        Configurable sidebar-enabled Sphinx theme
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/alabaster
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

%description
This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially as
used in his Requests project), which was itself originally based on @mitsuhiko's
theme used for Flask & related projects.

%package -n     python3-%{srcname}
Summary:        Configurable sidebar-enabled Sphinx theme
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This theme is a modified "Kr" Sphinx theme from @kennethreitz (especially as
used in his Requests project), which was itself originally based on @mitsuhiko's
theme used for Flask & related projects.

%prep
%setup -qn %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst


%changelog
* Mon Feb 10 2025 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2146675
- new version: 1.0.0

* Wed Apr 17 2024 kekepower <kekepower> 0.7.16-1.mga10
+ Revision: 2058297
- Update to version 0.7.16

* Thu Dec 07 2023 wally <wally> 0.7.13-2.mga10
+ Revision: 2014981
- rebuild for py3.12

* Sun Nov 26 2023 wally <wally> 0.7.13-1.mga10
+ Revision: 2009808
- new version 0.7.13
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 0.7.12-6.mga9
+ Revision: 1822139
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 0.7.12-5.mga9
+ Revision: 1772057
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 0.7.12-4.mga9
+ Revision: 1702668
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.7.12-3.mga8
+ Revision: 1530929
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.7.12-2.mga8
+ Revision: 1437849
- rebuild for python3.8
- drop python2 support

* Sun Apr 21 2019 wally <wally> 0.7.12-1.mga7
+ Revision: 1394255
- new version 0.7.12

* Sat Jan 05 2019 wally <wally> 0.7.8-4.mga7
+ Revision: 1349679
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.8-3.mga7
+ Revision: 1290195
- Mageia 7 Mass Rebuild

* Thu Aug 03 2017 tv <tv> 0.7.8-2.mga7
+ Revision: 1134512
- rebuild for new python

* Fri May 06 2016 philippem <philippem> 0.7.8-1.mga6
+ Revision: 1009699
- update to 0.7.8

* Fri Apr 29 2016 philippem <philippem> 0.7.7-1.mga6
+ Revision: 1007846
- update to 0.7.7
- update to 0.7.7

* Fri Feb 19 2016 umeabot <umeabot> 0.7.6-3.mga6
+ Revision: 970518
- Mageia 6 Mass Rebuild
+ philippem <philippem>
- use new macros

* Wed Oct 07 2015 tv <tv> 0.7.6-2.mga6
+ Revision: 887100
- rebuild for python 3.5

* Thu Aug 20 2015 joequant <joequant> 0.7.6-1.mga6
+ Revision: 866895
- add group
- imported package python-sphinx-theme-alabaster

